*{
    box-sizing: border-box;
}
:root{
    --primary-100:#3F51B5;
    --primary-200:#757de8;
    --primary-300:#dedeff;
    --accent-100:#2196f3;
    --accent-200:#003f8f;
    --bg-100:#ffffff;
    --bg-200:#f5f5f5;
    --bg-300:#cccccc;
    --text-100:#333333;
    --text-200:#5c5c5c;
}
html,body{
    scroll-behavior: smooth;
}
html{
    font-size: 17px;
}
body{
    background-color:var(--bg-300);
    font-family: Tahoma;
    background-image:url(images/bg.jpg);
    background-attachment: fixed;
}
a{
    text-decoration: none;
}
h1{
    background-color: var(--primary-200);
    color:white;
    border-radius: 7px;
    padding: 0 auto;
    text-align: center;
}
p{
    line-height: 1.5rem;
    color:var(--text-100);
}
#list ol{
    list-style-type: none;
    margin:0;
    padding: 0;
}
#list ol li{
    margin: 2px;
}
#list ol li a{
    padding: 6px 4px;
    background-color: var(--primary-200);
    color:var(--bg-100);
    width: 100%;
    height: 100%;
    display: block;
    border-right: 10px solid var(--primary-100);
    border-radius: 10px 0px 0px 10px;
    transition: 0.3s;
}
#list ol li:first-child a{
    border-top-right-radius: 10px;
}
#list ol li a:hover{
    background-color: var(--primary-100);
    border-right-color:var(--primary-200);
}
/* wbsite structure */
main{
    width: 950px;
    min-height: 1000px;
    display: grid;
    grid-template-columns: 200px auto;
    grid-template-rows: auto auto auto;
    grid-template-areas: 
    'header header'
    'aside article'
    'footer footer';
    gap: 10px;
    margin: 0 auto;
    padding: 10px;
}

header,aside,article,footer{
    border: 1px solid var(--bg-300) ;
    background-color:var(--bg-100);
    border-radius: 20px;
}

header{
    grid-area: header;
    padding: 5px;
    padding-block-end: 0px;
}

aside{
    grid-area: aside;
}

article{
    grid-area: article;
}

footer{
    grid-area: footer;
    direction: ltr;
    letter-spacing: 3px;
    text-align: center;
}
/* wbsite structure */
#up{
    width: 50px;
    height: 50px;
    margin: 0 auto;
    background-image:url(../../../images/btn.png);
    position: fixed;
    right: 20px;
    bottom: 20px;
}

h2{ 
    color: var(--text-100);
}

@media screen and (max-width:1024px) {
    main{
        width: 100%;
    }
    /* article{
        width:calc(100% - 210px);
    } */
    #nav{
        display: none;
    }
    #main-menu{
        display: inherit;
    }
}

@media screen and (max-width:500px) {
    main{
        grid-template-columns: auto;
        grid-template-rows: repeat(4,auto);
        grid-template-areas: 
        'header'
        'article'
        'aside'
        'footer';
    }
}